CORRECTION:
I just realized that the patch I submitted yesterday with the original
bug report is missing a single question mark. While the patch, as sent,
does indeed fix the issue for systems affected by it, it actually
_causes_ the issue on systems that were working fine. Oops!
The corrected patched is attached.
diff --git a/debian/eudev.preinst b/debian/eudev.preinst
index 743c8267c..b9ebdb03c 100644
--- a/debian/eudev.preinst
+++ b/debian/eudev.preinst
@@ -18,7 +18,7 @@ check_kernel_features() {
local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
for symbol in $needed_symbols; do
- if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
+ if ! egrep -q "^[a-fA-F0-9]+ T (_+.*_)?sys_${symbol}$" /proc/kallsyms; then
cat <<END
Since release 198, udev requires support for the following features in
the running kernel: